summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--399.midipix_sh.build23
-rw-r--r--TESTED_ON1
-rw-r--r--build.usage2
-rw-r--r--pkg.build3
-rw-r--r--psxscl.local@lucio-vm.local.patch13
5 files changed, 40 insertions, 2 deletions
diff --git a/399.midipix_sh.build b/399.midipix_sh.build
new file mode 100644
index 00000000..556b1a9b
--- /dev/null
+++ b/399.midipix_sh.build
@@ -0,0 +1,23 @@
+#
+# . ./build.vars and set -o errexit are assumed.
+#
+
+if ! is_build_script_done install; then
+ IFS=""; cat <<EOF > ${PREFIX}/midipix.sh;
+#!/bin/sh
+MIDIPIX_DRIVE=\${1:-z};
+MIDIPIX_DNAME="\${2:-}";
+MIDIPIX_PATH="/\${MIDIPIX_DRIVE}\${MIDIPIX_DNAME:+/\${MIDIPIX_DNAME}}";
+mintty -h always -e /bin/sh -c "
+ set -o errexit; stty raw -echo;
+ mount --change-cygdrive-prefix /;
+ cd \"\${MIDIPIX_PATH}/native/bin\";
+ export PATH=\"\${MIDIPIX_PATH}/native/bin:\${MIDIPIX_PATH}/native/lib\";
+ ./ntctty.exe -e chroot /native /bin/bash";
+fi;
+EOF
+ chmod +x ${PREFIX}/midipix.sh;
+ set_build_script_done install finish;
+fi;
+
+# vim:filetype=sh
diff --git a/TESTED_ON b/TESTED_ON
index 5e2eefa3..a8c0bd46 100644
--- a/TESTED_ON
+++ b/TESTED_ON
@@ -1,3 +1,4 @@
+Arch Linux 2016.02.01 (x64)
Debian GNU/Linux v8.3 (stable) (jessie) (x64)
Cygwin64 CYGWIN_NT-6.3 (x86_64)
openSUSE 20150612 (Tumbleweed) (x86_64)
diff --git a/build.usage b/build.usage
index ea24535e..6ac6c1a9 100644
--- a/build.usage
+++ b/build.usage
@@ -18,7 +18,7 @@ usage: ./build.sh [-c] [-nd] [-r ALL|name[:step]] [-h] [-t]
named ${PKG_SUBDIR}.local.patch.
Examples:
- ./build.sh -r psxscl GITROOT_HEAD=... PKG_PSXSCL_CFLAGS=-DPSX_INTERNAL_STRACE
+ ./build.sh -r psxscl GITROOT_HEAD=... PKG_PSXSCL_CFLAGS_CONFIGURE_EXTRA=-DPSX_INTERNAL_STRACE
Build psxscl from the internal repository with strace enabled.
./build.sh -c -r ALL GITROOT_HEAD=...
diff --git a/pkg.build b/pkg.build
index e61ac95e..c045c16e 100644
--- a/pkg.build
+++ b/pkg.build
@@ -29,7 +29,8 @@ if ! is_build_script_done build_dir; then
fi;
if ! is_build_script_done patch; then
for PATCH_FNAME in portage/${PKG_SUBDIR}.midipix.patch \
- ${_PWD}/${PKG_SUBDIR}.local.patch; do
+ ${_PWD}/${PKG_SUBDIR}.local.patch \
+ ${_PWD}/${PKG_SUBDIR}.local@${BUILD_HNAME}.patch; do
[ -r ${PATCH_FNAME} ] &&\
patch -b -d ${PKG_SUBDIR} -p1 < ${PATCH_FNAME};
done; unset PATCH_FNAME;
diff --git a/psxscl.local@lucio-vm.local.patch b/psxscl.local@lucio-vm.local.patch
new file mode 100644
index 00000000..86ef312b
--- /dev/null
+++ b/psxscl.local@lucio-vm.local.patch
@@ -0,0 +1,13 @@
+diff --git a/src/init/psx_init_cwd.c b/src/init/psx_init_cwd.c
+index 924b1b8..02846ba 100644
+--- a/src/init/psx_init_cwd.c
++++ b/src/init/psx_init_cwd.c
+@@ -17,7 +17,7 @@
+ #ifndef __PSX_DEFAULT_ROOT_DIRECTORY
+ #define __PSX_DEFAULT_ROOT_DIRECTORY { \
+ '\\','?','?','\\', \
+- 'C',':','\\','m','i','d','i','p','i','x'}
++ 'Z',':','\\'}
+ #endif
+
+ int32_t __psx_init_cwd(void)